%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}typelib\\(Meta|St|Cogl|Clutter\\)

Name:           gnome-shell-extension-dash-to-dock
Version:        100
Release:        %mkrel 1
Summary:        Dock for the Gnome Shell by micxgx@gmail.com
Group:          Graphical desktop/GNOME
License:        GPLv2+
URL:            https://micheleg.github.io/dash-to-dock
Source0:        https://github.com/micheleg/dash-to-dock/archive/extensions.gnome.org-v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  make
BuildRequires:  sassc
BuildRequires:  pkgconfig(glib-2.0)

Requires:       gnome-shell-extensions-common >= 44

%description
This extension enhances the dash moving it out of the overview and
transforming it in a dock for an easier launching of applications
and a faster switching between windows and desktops without having
to leave the desktop view.

%prep
%autosetup -n dash-to-dock-extensions.gnome.org-v%{version} -p 1

%build
%make_build

%install
%make_install

# Cleanup crap.
rm -fr %{buildroot}%{_datadir}/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/{COPYING*,README*,locale,schemas}

# Create manifest for i18n.
%find_lang %{name} --all-name

%files -f %{name}.lang
%license COPYING
%doc README.md
%{_datadir}/gnome-shell/extensions/dash-to-dock@micxgx.gmail.com/
%{_datadir}/glib-2.0/schemas/*gschema.xml


%changelog
* Wed Jun 11 2025 daviddavid <daviddavid> 100-1.mga10
+ Revision: 2190547
- new version 100

* Thu Oct 10 2024 daviddavid <daviddavid> 99-1.mga10
+ Revision: 2104601
- new version: 99

* Fri Sep 13 2024 daviddavid <daviddavid> 96-1.mga10
+ Revision: 2095694
- new version: 96

* Wed Aug 28 2024 daviddavid <daviddavid> 94-1.mga10
+ Revision: 2091962
- new version: 94

* Sat May 04 2024 daviddavid <daviddavid> 92-1.mga10
+ Revision: 2062095
- new version: 92

* Sun Apr 21 2024 daviddavid <daviddavid> 91-1.mga10
+ Revision: 2060397
- new version 91

* Sun Apr 21 2024 daviddavid <daviddavid> 90-1.mga10
+ Revision: 2060227
- new version 90

* Wed Oct 11 2023 daviddavid <daviddavid> 89-1.mga10
+ Revision: 1994647
- new version: 89

* Wed Sep 13 2023 daviddavid <daviddavid> 87-1.mga10
+ Revision: 1986399
- new version: 87

* Tue Aug 29 2023 daviddavid <daviddavid> 84-1.mga10
+ Revision: 1980747
- new version 84

* Mon May 15 2023 daviddavid <daviddavid> 80-1.mga9
+ Revision: 1956997
- initial package gnome-shell-extension-dash-to-dock (mga#26804)

